import { SimpleLocalIntegration } from '../../core/index.js';
import { EufylifeBleConfigFlow } from './eufylife_ble.classes.configflow.js';
import { createEufylifeBleDiscoveryDescriptor } from './eufylife_ble.discovery.js';
import type { IEufylifeBleConfig } from './eufylife_ble.types.js';
import { eufylifeBleDomain, eufylifeBleProfile } from './eufylife_ble.types.js';

export class EufylifeBleIntegration extends SimpleLocalIntegration<IEufylifeBleConfig> {
  public readonly domain = eufylifeBleDomain;
  public readonly discoveryDescriptor = createEufylifeBleDiscoveryDescriptor();
  public readonly configFlow = new EufylifeBleConfigFlow();

  constructor() {
    super(eufylifeBleProfile);
  }
}

export class HomeAssistantEufylifeBleIntegration extends EufylifeBleIntegration {}
